#ifndef INCLUDED_crapfile_H
#define INCLUDED_crapfile_H

#ifdef PIXELTOASTER
#include <stdio.h>
#endif

class CrapFile
{
	public:
		CrapFile(const char *filename, const char *mode);
		~CrapFile();
		bool IsOpen() const;
		bool Read(void *buf, int numBytes);
		void Write(void *buf, int numBytes);
		long Length();
	private:
#ifdef PIXELTOASTER
		FILE* mFile;
#else
		int mFD;
		long mLength;
#endif
		bool mCanWrite;
};

class CrapDir
{
	public:
		CrapDir(const char *dir);

		int NumEntries() const;
		const char *GetEntry(int n) const;

	private:
		enum { MAX_NUM_ENTRIES = 100 };
		int mNumEntries;
		char mEntries[MAX_NUM_ENTRIES][260];
};

#endif
